Package org.multiverse.api.collections

## Interface TxnList<E>

- Type Parameters:
    `E` -
  All Superinterfaces:
    `Collection<E>`, `Iterable<E>`, `TxnCollection<E>`, `TxnIterable<E>`
  All Known Implementing Classes:
    `NaiveTxnLinkedList`

      public interface TxnList<E>
      extends TxnCollection<E>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `E` | `get​(int index)` |
    `E` | `get​(Txn txn, int index)` |
    `int` | `indexOf​(Object item)` |
    `int` | `indexOf​(Txn txn, Object item)` |
    `int` | `lastIndexOf​(Object item)` |
    `int` | `lastIndexOf​(Txn txn, Object item)` |
    `E` | `remove​(int index)` |
    `E` | `remove​(Txn txn, int index)` |
    `E` | `set​(int index, E element)` |
    `E` | `set​(Txn txn, int index, E element)` |

    - ### Methods inherited from interface java.util.Collection

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, parallelStream, remove, removeAll, removeIf, retainAll, size, spliterator, stream, toArray, toArray, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface org.multiverse.api.collections.TxnCollection

      `add, addAll, addAll, addAll, clear, contains, containsAll, getStm, isEmpty, remove, size, toString`

    - ### Methods inherited from interface org.multiverse.api.collections.TxnIterable

      `iterator, iterator`

- - ### Method Detail

    - #### indexOf

          int indexOf​(Object item)

    - #### indexOf

          int indexOf​(Txn txn,
                      Object item)

    - #### lastIndexOf

          int lastIndexOf​(Object item)

    - #### lastIndexOf

          int lastIndexOf​(Txn txn,
                          Object item)

    - #### get

          E get​(int index)

    - #### get

          E get​(Txn txn,
                int index)

    - #### set

          E set​(int index,
                E element)

    - #### set

          E set​(Txn txn,
                int index,
                E element)

    - #### remove

          E remove​(int index)

    - #### remove

          E remove​(Txn txn,
                   int index)